// ==========================================================================
// Code generated by GoFrame CLI tool. DO NOT EDIT.
// ==========================================================================

package internal

import (
	"context"
	"github.com/gogf/gf/database/gdb"
	"github.com/gogf/gf/frame/g"
)

// TalentDeliveryAddressDao is the manager for logic model data accessing and custom defined data operations functions management.
type TalentDeliveryAddressDao struct {
	Table   string          // Table is the underlying table name of the DAO.
	Group   string          // Group is the database configuration group name of current DAO.
	Columns TalentDeliveryAddressColumns // Columns is the short type for Columns, which contains all the column names of Table for convenient usage.
}

// TalentDeliveryAddressColumns defines and stores column names for table talent_delivery_address.
type TalentDeliveryAddressColumns struct {
	AddressId     string //                                             
    RegionCode    string // 区域码，取info_region表中的self_code字段值  
    DetailAddr    string // 详细地址                                    
    PhoneNumber   string // 联系电话                                    
    ReceiverName  string // 收货人名字                                  
    DefaultTag    string // 是否默认收货地址                            
    TalentId      string // 达人id(talent_info表中的id)
}

//  talentDeliveryAddressColumns holds the columns for table talent_delivery_address.
var talentDeliveryAddressColumns = TalentDeliveryAddressColumns{
	AddressId:    "address_id",     
            RegionCode:   "region_code",    
            DetailAddr:   "detail_addr",    
            PhoneNumber:  "phone_number",   
            ReceiverName: "receiver_name",  
            DefaultTag:   "default_tag",    
            TalentId:     "talent_id",
}

// NewTalentDeliveryAddressDao creates and returns a new DAO object for table data access.
func NewTalentDeliveryAddressDao() *TalentDeliveryAddressDao {
	return &TalentDeliveryAddressDao{
		Group:   "default",
		Table:   "talent_delivery_address",
		Columns: talentDeliveryAddressColumns,
	}
}

// DB retrieves and returns the underlying raw database management object of current DAO.
func (dao *TalentDeliveryAddressDao) DB() gdb.DB {
	return g.DB(dao.Group)
}

// Ctx creates and returns the Model for current DAO, It automatically sets the context for current operation.
func (dao *TalentDeliveryAddressDao) Ctx(ctx context.Context) *gdb.Model {
	return dao.DB().Model(dao.Table).Safe().Ctx(ctx)
}

// Transaction wraps the transaction logic using function f.
// It rollbacks the transaction and returns the error from function f if it returns non-nil error.
// It commits the transaction and returns nil if function f returns nil.
//
// Note that, you should not Commit or Rollback the transaction in function f
// as it is automatically handled by this function.
func (dao *TalentDeliveryAddressDao) Transaction(ctx context.Context, f func(ctx context.Context, tx *gdb.TX) error) (err error) {
	return dao.Ctx(ctx).Transaction(ctx, f)
}