package backstage_model

import (
	"github.com/gogf/gf/os/gtime"
)

type FinanceFindAll struct {
	RecordId         string      `orm:"record_id" json:"recordId"`                  // 提现单号
	TalentWxNickname string      `orm:"talent_wx_nickname" json:"talentWxNickname"` // 微信昵称
	SubmitDate       gtime.Time  `orm:"submit_date" json:"submitDate"`              // 提交时间
	DrawAmount       string      `orm:"draw_amount" json:"drawAmount"`              // 提现金额
	PayState         string      `orm:"pay_state" json:"payState"`                  // 支付状态
	PayFailReason    string      `orm:"pay_fail_reason" json:"payFailReason"`       // 支付失败原因
	PayPlatform      string      `orm:"pay_platform" json:"payPlatform"`            // 支付平台，如支付宝
	AccountName      string      `orm:"account_name" json:"accountName"`            // 支付宝姓名
	PayAccount       string      `orm:"pay_account" json:"payAccount"`              // 支付宝账号
	CompleteDate     *gtime.Time `orm:"complete_date"     json:"completeDate"`      // 打款时间
}

type FinanceReceiveAll struct {
	RecordId         string   `orm:"record_id" json:"recordId"`                  // 提现单号
	TalentWxNickname string   `orm:"talent_wx_nickname" json:"talentWxNickname"` // 微信昵称
	SubmitDate       []string `orm:"submit_date" json:"submitDate"`              // 提交时间
	DrawAmount       string   `orm:"draw_amount" json:"drawAmount"`              // 提现金额
	PayState         string   `orm:"pay_state" json:"payState"`                  // 支付状态
	PayFailReason    string   `orm:"pay_fail_reason" json:"payFailReason"`       // 支付失败原因
	PayPlatform      string   `orm:"pay_platform" json:"payPlatform"`            // 支付平台，如支付宝
	AccountName      string   `orm:"account_name" json:"accountName"`            // 账户姓名
	PayAccount       string   `orm:"pay_account" json:"payAccount"`              // 支付宝账号
	CompleteDate     []string `orm:"complete_date"     json:"completeDate"`      // 打款时间
}

// FinanceFind  所有分页查询接收信息类型
type FinanceFind struct {
	IndexPage int `v:"required#页码不能为空"`
	PageSize  int `v:"required#每页展示行数不能为空"`
	Finance   *FinanceReceiveAll
}

// ChangeMoneyListStatus  批量打款状态修改
type ChangeMoneyListStatus struct {
	RecordId     []string
	OrderState   string
	OrderMessage string
}
