package backstage_model

// ProductReq  创建商品校验
type ProductReq struct {
	Id                   int    `orm:"id" json:"id"`
	ProductName          string `v:"required|length:0,50#商品名称不能为空|商品名称不能大于:max" orm:"product_name" json:"productName"`
	ProductType          string `v:"required#商品类型不能为空" orm:"product_type" json:"productType"`
	ProductClassify      string `v:"required#商品类目不能为空" orm:"product_classify" json:"productClassify"`
	ProductValue         string `v:"required|length:0,10#商品价值不能为空|商品价值数字不能大于:max位" orm:"product_value" json:"productValue"`
	ProductSpecification string `v:"required|length:0,100#商品规格不能为空|对接人联系方式不能大于:max" orm:"product_specification" json:"productSpecification"`
	PhotosMain           []ProductPhotoReq
}

// ProductPhotoReq    图片信息结构体
type ProductPhotoReq struct {
	Id           int    `orm:"id" json:"id"`
	ProductId    string `orm:"product_id" json:"productId"`
	Symbol       string `orm:"symbol" json:"symbol"`
	ProductPhoto string `orm:"product_photo" json:"productPhoto"`
}

// ProductDelete 删除和单个ID查询校验所用结构体
type ProductDelete struct {
	Id string `v:"required#删除id不能为空"`
}
