// =================================================================================
// Code generated by GoFrame CLI tool. DO NOT EDIT.
// =================================================================================

package model

import(
"github.com/gogf/gf/os/gtime"
)


// BobocoinDeductRecord is the golang structure for table bobocoin_deduct_record.
type BobocoinDeductRecord struct {
    RecordId       uint64      `orm:"record_id,primary" json:"recordId"`       // 扣费记录ID                                      
    TalentId       int         `orm:"talent_id"         json:"talentId"`       // 达人id                                          
    BobocoinValue  int64       `orm:"bobocoin_value"    json:"bobocoinValue"`  // 冻结的卜卜币数量(真实数量 * 100)                
    OrderId        uint64      `orm:"order_id"          json:"orderId"`        // 订单id，如果是订单执行产生的扣费，则有值        
    ProcedureStage int         `orm:"procedure_stage"   json:"procedureStage"` // 订单的执行步骤，如果是订单产生的扣费，则有此值  
    Reason         int         `orm:"reason"            json:"reason"`         // 扣费原因 1任务超期冻结 2拍单费用 3延期发放      
    CreatedAt      *gtime.Time `orm:"created_at"        json:"createdAt"`      // 创建时间                                        
    OperationStage string      `orm:"operation_stage"   json:"operationStage"` // 扣款步骤名称                                    
    TaskName       string      `orm:"task_name"         json:"taskName"`       // 任务名称(冗余)                                  
}


// BobocoinIncomeRecord is the golang structure for table bobocoin_income_record.
type BobocoinIncomeRecord struct {
    RecordId       uint64      `orm:"record_id,primary" json:"recordId"`       // 记录id，主键，自增                                                                                     
    BobocoinValue  int64       `orm:"bobocoin_value"    json:"bobocoinValue"`  // 收入的卜卜币数量                                                                                       
    OrderId        int         `orm:"order_id"          json:"orderId"`        // 获得卜卜币的订单id                                                                                     
    RecruitLevelId int         `orm:"recruit_level_id"  json:"recruitLevelId"` // 获得卜卜币的任务的招募级别                                                                             
    TalentId       int         `orm:"talent_id"         json:"talentId"`       // 达人id                                                                                                 
    CompleteDate   *gtime.Time `orm:"complete_date"     json:"completeDate"`   // 添加时间(订单完成时间，需要和bobocoin_withdrawal_record表中的打款完成时间字段名一致，因为要以时间排序  
    TaskName       string      `orm:"task_name"         json:"taskName"`       // 任务名称(冗余)                                                                                         
}


// BobocoinWithdrawalRecord is the golang structure for table bobocoin_withdrawal_record.
type BobocoinWithdrawalRecord struct {
    RecordId      int64       `orm:"record_id,primary" json:"recordId"`      // 提现单号                              
    TalentId      int         `orm:"talent_id"         json:"talentId"`      // 发起提现的达人id                      
    SubmitDate    *gtime.Time `orm:"submit_date"       json:"submitDate"`    // 提交时间                              
    DrawAmount    int64       `orm:"draw_amount"       json:"drawAmount"`    // 提现金额                              
    PayState      int         `orm:"pay_state"         json:"payState"`      // 支付状态 1未支付 2支付成功 3支付失败  
    PayFailReason string      `orm:"pay_fail_reason"   json:"payFailReason"` // 支付失败原因                          
    CompleteDate  *gtime.Time `orm:"complete_date"     json:"completeDate"`  // 打款时间                              
    PayPlatform   int         `orm:"pay_platform"      json:"payPlatform"`   // 支付平台，如支付宝                    
    PayAccount    string      `orm:"pay_account"       json:"payAccount"`    // 支付账户                              
    AccountName   string      `orm:"account_name"      json:"accountName"`   // 账户姓名                              
}


// Brand is the golang structure for table brand.
type Brand struct {
    BrandId      int         `orm:"brand_id,primary" json:"brandId"`      // 品牌信息id          
    BrandName    string      `orm:"brand_name"       json:"brandName"`    // 品牌名称            
    BrandLogo    string      `orm:"brand_logo"       json:"brandLogo"`    // 品牌logo链接地址    
    BrandInfo    string      `orm:"brand_info"       json:"brandInfo"`    // 品牌信息简介        
    BrandPerson  string      `orm:"brand_person"     json:"brandPerson"`  // 品牌对接人          
    BrandContact string      `orm:"brand_contact"    json:"brandContact"` // 品牌对接人联系方式  
    BrandTitle   string      `orm:"brand_title"      json:"brandTitle"`   // 品牌对接人职称      
    CreatedAt    *gtime.Time `orm:"created_at"       json:"createdAt"`    // 创建时间            
    CreatPeople  string      `orm:"creat_people"     json:"creatPeople"`  // 创建人              
    UpdatedAt    *gtime.Time `orm:"updated_at"       json:"updatedAt"`    // 更新时间            
    UpdatePeople string      `orm:"update_people"    json:"updatePeople"` // 更新人              
}


// InfoProductClassify is the golang structure for table info_product_classify.
type InfoProductClassify struct {
    ClassifyId int    `orm:"classify_id,primary" json:"classifyId"` // 分类id  
    Classify   string `orm:"classify"            json:"classify"`   // 分类名  
}


// InfoRegion is the golang structure for table info_region.
type InfoRegion struct {
    RegionId    uint   `orm:"region_id,primary" json:"regionId"`    //   
    SelfCode    uint   `orm:"self_code"         json:"selfCode"`    //   
    RegionLevel int    `orm:"region_level"      json:"regionLevel"` //   
    ParentCode  uint   `orm:"parent_code"       json:"parentCode"`  //   
    RegionName  string `orm:"region_name"       json:"regionName"`  //   
}


// InfoTalentAgeBracket is the golang structure for table info_talent_age_bracket.
type InfoTalentAgeBracket struct {
    AgeAid             int    `orm:"age_aid,primary"      json:"ageAid"`             //   
    AgeBracketDiscribe string `orm:"age_bracket_discribe" json:"ageBracketDiscribe"` //   
}


// InfoTalentSkilledArea is the golang structure for table info_talent_skilled_area.
type InfoTalentSkilledArea struct {
    SkilledId    int    `orm:"skilled_id,primary" json:"skilledId"`    //           
    SkilledAreas string `orm:"skilled_areas"      json:"skilledAreas"` // 擅长领域  
}


// InfoTalentSkinType is the golang structure for table info_talent_skin_type.
type InfoTalentSkinType struct {
    SkinId           int    `orm:"skin_id,primary"    json:"skinId"`           //   
    SkinTypeDescribe string `orm:"skin_type_describe" json:"skinTypeDescribe"` //   
}


// InfoThirdPlatform is the golang structure for table info_third_platform.
type InfoThirdPlatform struct {
    PlatformId        uint   `orm:"platform_id,primary" json:"platformId"`        // 平台id，主键    
    PlatformName      string `orm:"platform_name"       json:"platformName"`      // 平台名          
    PlatformIcon      string `orm:"platform_icon"       json:"platformIcon"`      // 平台图标url     
    PlatformTableName string `orm:"platform_table_name" json:"platformTableName"` // 平台数据表表名  
}


// OrderAnswer is the golang structure for table order_answer.
type OrderAnswer struct {
    TraId                int64  `orm:"tra_id,primary"         json:"traId"`                //                                                                                          
    OrderId              int64  `orm:"order_id"               json:"orderId"`              // 报名信息(order_info)id                                                                   
    AdditionalQuestionId int    `orm:"additional_question_id" json:"additionalQuestionId"` // task_require_additional_tallent_info表中的id，即问题                                     
    QuestionAnswer       string `orm:"question_answer"        json:"questionAnswer"`       // 问题答案，单选或多选为选项的id，问题为输入框时则为文本，为图片上传时则为上传后的图片url  
}


// OrderArticleReview is the golang structure for table order_article_review.
type OrderArticleReview struct {
    OrderArticleId int         `orm:"order_article_id,primary" json:"orderArticleId"` // 作品审核id                            
    OrderId        int64       `orm:"order_id,unique"          json:"orderId"`        // 订单id(order_info)id                  
    ArticleLink    string      `orm:"article_link"             json:"articleLink"`    // 作品链接列表                          
    AuditStatus    int         `orm:"audit_status"             json:"auditStatus"`    // 审核状态 1待审核 2审核通过 3审核驳回  
    AuditOpinion   string      `orm:"audit_opinion"            json:"auditOpinion"`   // 作品审核意见                          
    CreatedAt      *gtime.Time `orm:"created_at"               json:"createdAt"`      // 创建时间(发货时间)                    
    ConfirmTime    *gtime.Time `orm:"confirm_time"             json:"confirmTime"`    // 确认收获时间                          
}


// OrderDataReview is the golang structure for table order_data_review.
type OrderDataReview struct {
    DataQualityId int         `orm:"data_quality_id,primary" json:"dataQualityId"` // 数据质检id                            
    OrderId       int64       `orm:"order_id,unique"         json:"orderId"`       // 报名信息(order_info)id                
    LikeNumber    int         `orm:"like_number"             json:"likeNumber"`    // 点赞数                                
    LittleEye     int         `orm:"little_eye"              json:"littleEye"`     // 小眼睛                                
    CommitNum     int         `orm:"commit_num"              json:"commitNum"`     // 评论数                                
    CollectNum    int         `orm:"collect_num"             json:"collectNum"`    // 收藏数                                
    DataLink      string      `orm:"data_link"               json:"dataLink"`      // 数据截图列表                          
    AuditStatus   int         `orm:"audit_status"            json:"auditStatus"`   // 审核状态 1待审核 2审核通过 3审核失败  
    AuditOpinion  string      `orm:"audit_opinion"           json:"auditOpinion"`  // 数据质检审核意见                      
    CreatedAt     *gtime.Time `orm:"created_at"              json:"createdAt"`     // 创建时间(发货时间)                    
    ConfirmTime   *gtime.Time `orm:"confirm_time"            json:"confirmTime"`   // 确认收获时间                          
}


// OrderDeliveryInfo is the golang structure for table order_delivery_info.
type OrderDeliveryInfo struct {
    OrderDeliveryId  int         `orm:"order_delivery_id,primary" json:"orderDeliveryId"`  // 执行补充信息                             
    OrderId          int64       `orm:"order_id,unique"           json:"orderId"`          // 订单id                                   
    OrderAddressee   string      `orm:"order_addressee"           json:"orderAddressee"`   // 收货人                                   
    OrderPhone       string      `orm:"order_phone"               json:"orderPhone"`       // 订单所填手机号                           
    RegionCode       int         `orm:"region_code"               json:"regionCode"`       // 区域码                                   
    OrderAddress     string      `orm:"order_address"             json:"orderAddress"`     // 订单地址                                 
    LogisticsCompany string      `orm:"logistics_company"         json:"logisticsCompany"` // 物流公司                                 
    TrackingNum      string      `orm:"tracking_num"              json:"trackingNum"`      // 物流单号                                 
    CreatedAt        *gtime.Time `orm:"created_at"                json:"createdAt"`        // 创建时间                                 
    ConfirmTime      *gtime.Time `orm:"confirm_time"              json:"confirmTime"`      // 确认收获时间                             
    DeliveryTime     *gtime.Time `orm:"delivery_time"             json:"deliveryTime"`     // 发货时间                                 
    DeliveryStatus   int         `orm:"delivery_status"           json:"deliveryStatus"`   // 发货状态   1是未发货，2是已发货 3已收货  
}


// OrderDraftReview is the golang structure for table order_draft_review.
type OrderDraftReview struct {
    OrderDraftId int         `orm:"order_draft_id,primary" json:"orderDraftId"` // 初稿审核id                            
    OrderId      int         `orm:"order_id,unique"        json:"orderId"`      // 订单id                                
    OnlineLink   string      `orm:"online_link"            json:"onlineLink"`   // 在线链接                              
    AuditStatus  int         `orm:"audit_status"           json:"auditStatus"`  // 审核状态 1待审核 2审核通过 3审核驳回  
    AuditOpinion string      `orm:"audit_opinion"          json:"auditOpinion"` // 审核意见                              
    CreatedAt    *gtime.Time `orm:"created_at"             json:"createdAt"`    // 创建时间                              
    ConfirmTime  *gtime.Time `orm:"confirm_time"           json:"confirmTime"`  // 初稿通过时间                          
}


// OrderInfo is the golang structure for table order_info.
type OrderInfo struct {
    OrderId                uint64      `orm:"order_id,primary"          json:"orderId"`                //                                                          
    TaskId                 int         `orm:"task_id"                   json:"taskId"`                 // 任务id                                                   
    TaskName               string      `orm:"task_name"                 json:"taskName"`               // 任务名称(冗余)                                           
    TaskBrandName          string      `orm:"task_brand_name"           json:"taskBrandName"`          // 品牌名称(冗余)                                           
    ProductName            string      `orm:"product_name"              json:"productName"`            // 商品名称(冗余)                                           
    ProductMainImg         string      `orm:"product_main_img"          json:"productMainImg"`         // 商品主图url(冗余)                                        
    TalentId               int         `orm:"talent_id"                 json:"talentId"`               // 达人id                                                   
    TalentPlatformInfoSnap string      `orm:"talent_platform_info_snap" json:"talentPlatformInfoSnap"` // 达人平台信息快照                                         
    TalentPersonalInfoSnap string      `orm:"talent_personal_info_snap" json:"talentPersonalInfoSnap"` // 达人个人信息快照                                         
    TalentPostAddrSnap     string      `orm:"talent_post_addr_snap"     json:"talentPostAddrSnap"`     // 收货地址快照                                             
    TaskLevelId            int         `orm:"task_level_id"             json:"taskLevelId"`            // 报名选择的招募等级id(task_recruit_talent_level表中的id)  
    SettleAmount           int64       `orm:"settle_amount"             json:"settleAmount"`           // 待结算金额                                               
    ProdSpecificationId    int         `orm:"prod_specification_id"     json:"prodSpecificationId"`    // 商品规格列表的索引                                       
    ProdNote               string      `orm:"prod_note"                 json:"prodNote"`               // 商品备注                                                 
    OrderStatus            int         `orm:"order_status"              json:"orderStatus"`            // 订单状态                                                 
    CreateDate             *gtime.Time `orm:"create_date"               json:"createDate"`             // 创建时间                                                 
    SelectDate             *gtime.Time `orm:"select_date"               json:"selectDate"`             // 反选时间                                                 
    PartnerWay             string      `orm:"partner_way"               json:"partnerWay"`             // 合作方式                                                 
    CompleteStatus         int         `orm:"complete_status"           json:"completeStatus"`         // 结束方式 1未结束 2正常结束 3反选失败 4达人取消           
    CompleteDate           *gtime.Time `orm:"complete_date"             json:"completeDate"`           // 结束时间                                                 
}


// OrderLinkQuality is the golang structure for table order_link_quality.
type OrderLinkQuality struct {
    LinkQualityId int         `orm:"link_quality_id,primary" json:"linkQualityId"` // 链接质检id                            
    OrderId       int64       `orm:"order_id,unique"         json:"orderId"`       // 报名信息(order_info)id                
    PostLink      string      `orm:"post_link"               json:"postLink"`      // 发布链接                              
    PhotoLink     string      `orm:"photo_link"              json:"photoLink"`     // 图片链接                              
    AuditStatus   int         `orm:"audit_status"            json:"auditStatus"`   // 审核状态 1待审核 2审核成功 3审核失败  
    AuditOpinion  string      `orm:"audit_opinion"           json:"auditOpinion"`  // 审核意见                              
    CreatedAt     *gtime.Time `orm:"created_at"              json:"createdAt"`     // 创建时间(发货时间)                    
    ConfirmTime   *gtime.Time `orm:"confirm_time"            json:"confirmTime"`   // 确认收获时间                          
}


// OrderStatusRecord is the golang structure for table order_status_record.
type OrderStatusRecord struct {
    OrderStatusId int         `orm:"order_status_id,primary" json:"orderStatusId"` // 订单状态记录表id            
    OrderId       int         `orm:"order_id"                json:"orderId"`       // 对应订单的id                
    AlterBefore   int         `orm:"alter_before"            json:"alterBefore"`   // 修改订单前状态              
    AlterAfter    int         `orm:"alter_after"             json:"alterAfter"`    // 修改订单后状态              
    RoleTag       int         `orm:"role_tag"                json:"roleTag"`       // 身份标记 1后台管理员 2达人  
    RecordId      int         `orm:"record_id"               json:"recordId"`      // 操作员工账号                
    RecordName    string      `orm:"record_name"             json:"recordName"`    // 操作员工姓名                
    CreatedAt     *gtime.Time `orm:"created_at"              json:"createdAt"`     // 创建时间                    
}


// PlatformBilibiliAccountInfo is the golang structure for table platform_bilibili_account_info.
type PlatformBilibiliAccountInfo struct {
    BilibiliId         int         `orm:"bilibili_id,primary"   json:"bilibiliId"`         //                                                    
    TalentId           int         `orm:"talent_id,unique"      json:"talentId"`           // 达人账号id(talent_info表id值)                      
    PlatformId         int         `orm:"platform_id"           json:"platformId"`         // 平台id，与third_platform_info中的id相同            
    PlatformName       string      `orm:"platform_name"         json:"platformName"`       // 平台名称(冗余)                                     
    PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platformIconUrl"`    // 平台icon的url(冗余)                                
    PlatformAccountId  string      `orm:"platform_account_id"   json:"platformAccountId"`  // 在平台上的账号                                     
    PlatformNickname   string      `orm:"platform_nickname"     json:"platformNickname"`   // 在平台上的昵称                                     
    HomePageUrl        string      `orm:"home_page_url"         json:"homePageUrl"`        // 主页链接                                           
    FansCount          int64       `orm:"fans_count"            json:"fansCount"`          // 粉丝数                                             
    GotLikeCount       int64       `orm:"got_like_count"        json:"gotLikeCount"`       // 点赞数                                             
    SkilledAt          string      `orm:"skilled_at"            json:"skilledAt"`          // 擅长领域(info_tallent_skilled_area表中的id的数组)  
    IsAppearInVideo    int         `orm:"is_appear_in_video"    json:"isAppearInVideo"`    // 是否出镜                                           
    HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"homePageCaptureUrl"` // 主页截图链接                                       
    AccountFrom        string      `orm:"account_from"          json:"accountFrom"`        // 账号来源(仅B端批量上传的账号需要填写)              
    SubmitDate         *gtime.Time `orm:"submit_date"           json:"submitDate"`         // 提交时间                                           
    ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examineFailAdminId"` // 审核失败操作管理员id(user表中的id)                 
    ExamineDate        *gtime.Time `orm:"examine_date"          json:"examineDate"`        // 审核日期                                           
    ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examineFailReason"`  // 审核失败原因                                       
    UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updatedAt"`          // 更新时间                                           
    ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examineSucAdminId"`  // 审核成功操作管理员id(user表中的id)                 
}


// PlatformDianpingAccountInfo is the golang structure for table platform_dianping_account_info.
type PlatformDianpingAccountInfo struct {
    DianpingId         int         `orm:"dianping_id,primary"   json:"dianpingId"`         //                                          
    TalentId           int         `orm:"talent_id,unique"      json:"talentId"`           // 达人账号id(talent_info表id值)            
    PlatformId         int         `orm:"platform_id"           json:"platformId"`         // 平台id，与third_platform_info中的id相同  
    PlatformName       string      `orm:"platform_name"         json:"platformName"`       // 平台名称(冗余)                           
    PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platformIconUrl"`    // 平台icon的url(冗余)                      
    PlatformAccountId  string      `orm:"platform_account_id"   json:"platformAccountId"`  // 在平台上的账号                           
    PlatformNickname   string      `orm:"platform_nickname"     json:"platformNickname"`   // 在平台上的昵称                           
    HomePageUrl        string      `orm:"home_page_url"         json:"homePageUrl"`        // 主页链接                                 
    FansCount          int64       `orm:"fans_count"            json:"fansCount"`          // 粉丝数                                   
    GotLikeCount       int64       `orm:"got_like_count"        json:"gotLikeCount"`       // 点赞数                                   
    MembershipLevel    int         `orm:"membership_level"      json:"membershipLevel"`    // 会员等级                                 
    IsAppearInVideo    int         `orm:"is_appear_in_video"    json:"isAppearInVideo"`    // 是否出镜                                 
    HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"homePageCaptureUrl"` // 主页截图图片url                          
    AccountFrom        string      `orm:"account_from"          json:"accountFrom"`        // 账号来源(仅B端批量上传的账号需要填写)    
    ExamineStatus      int         `orm:"examine_status"        json:"examineStatus"`      // 审核状态 1待审核 2审核通过 3审核失败     
    SubmitDate         *gtime.Time `orm:"submit_date"           json:"submitDate"`         // 提交时间                                 
    ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examineFailAdminId"` // 审核失败操作管理员id(user表中的id)       
    ExamineDate        *gtime.Time `orm:"examine_date"          json:"examineDate"`        // 审核日期                                 
    ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examineFailReason"`  // 审核失败原因                             
    UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updatedAt"`          // 更新时间                                 
    ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examineSucAdminId"`  // 审核成功操作管理员id(user表中的id)       
}


// PlatformKuaishouAccountInfo is the golang structure for table platform_kuaishou_account_info.
type PlatformKuaishouAccountInfo struct {
    KuaishouId         int         `orm:"kuaishou_id,primary"   json:"kuaishouId"`         //                                                    
    TalentId           int         `orm:"talent_id,unique"      json:"talentId"`           // 达人账号id(talent_info表id值)                      
    PlatformId         int         `orm:"platform_id"           json:"platformId"`         // 平台id，与third_platform_info中的id相同            
    PlatformName       string      `orm:"platform_name"         json:"platformName"`       // 平台名称(冗余)                                     
    PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platformIconUrl"`    // 平台icon的url(冗余)                                
    PlatformAccountId  string      `orm:"platform_account_id"   json:"platformAccountId"`  // 在平台上的账号                                     
    PlatformNickname   string      `orm:"platform_nickname"     json:"platformNickname"`   // 在平台上的昵称                                     
    HomePageUrl        string      `orm:"home_page_url"         json:"homePageUrl"`        // 主页链接                                           
    FansCount          int64       `orm:"fans_count"            json:"fansCount"`          // 粉丝数                                             
    CompositionCount   int64       `orm:"composition_count"     json:"compositionCount"`   // 作品数量                                           
    SkilledAt          string      `orm:"skilled_at"            json:"skilledAt"`          // 擅长领域(info_tallent_skilled_area表中的id的数组)  
    IsSupportLive      int         `orm:"is_support_live"       json:"isSupportLive"`      // 是否支持直播                                       
    IsOpenCart         int         `orm:"is_open_cart"          json:"isOpenCart"`         // 是否开通购物车                                     
    IsAppearInVideo    int         `orm:"is_appear_in_video"    json:"isAppearInVideo"`    // 是否出镜                                           
    HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"homePageCaptureUrl"` // 主页截图图片url                                    
    AccountFrom        string      `orm:"account_from"          json:"accountFrom"`        // 账号来源(仅B端批量上传的账号需要填写)              
    SubmitDate         *gtime.Time `orm:"submit_date"           json:"submitDate"`         // 提交时间                                           
    ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examineFailAdminId"` // 审核失败操作管理员id(user表中的id)                 
    ExamineDate        *gtime.Time `orm:"examine_date"          json:"examineDate"`        // 审核日期                                           
    ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examineFailReason"`  // 审核失败原因                                       
    UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updatedAt"`          // 更新时间                                           
    ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examineSucAdminId"`  // 审核成功操作管理员id(user表中的id)                 
}


// PlatformLittleRedBookAccountInfo is the golang structure for table platform_little_red_book_account_info.
type PlatformLittleRedBookAccountInfo struct {
    RedBookId          int         `orm:"red_book_id,primary"   json:"redBookId"`          //                                                                                                                                                                                                                
    TalentId           int         `orm:"talent_id,unique"      json:"talentId"`           // 达人账号id(talent_info表id值)                                                                                                                                                                                  
    PlatformId         int         `orm:"platform_id"           json:"platformId"`         // 平台id，与third_platform_info中的id相同                                                                                                                                                                        
    PlatformName       string      `orm:"platform_name"         json:"platformName"`       // 平台名称(冗余)                                                                                                                                                                                                 
    PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platformIconUrl"`    // 平台icon的url(冗余)                                                                                                                                                                                            
    PlatformAccountId  string      `orm:"platform_account_id"   json:"platformAccountId"`  // 在平台上的账号                                                                                                                                                                                                 
    PlatformNickname   string      `orm:"platform_nickname"     json:"platformNickname"`   // 在平台上的昵称                                                                                                                                                                                                 
    HomePageUrl        string      `orm:"home_page_url"         json:"homePageUrl"`        // 主页链接                                                                                                                                                                                                       
    FansCount          int64       `orm:"fans_count"            json:"fansCount"`          // 粉丝数                                                                                                                                                                                                         
    GotLikeCount       int64       `orm:"got_like_count"        json:"gotLikeCount"`       // (点)赞(收)藏数                                                                                                                                                                                                 
    NoteCount          int64       `orm:"note_count"            json:"noteCount"`          // 笔记总量                                                                                                                                                                                                       
    IsSupportReporting int         `orm:"is_support_reporting"  json:"isSupportReporting"` // 是否支持报备                                                                                                                                                                                                   
    IsSupportLive      int         `orm:"is_support_live"       json:"isSupportLive"`      // 是否支持直播                                                                                                                                                                                                   
    CanMakeVideo       int         `orm:"can_make_video"        json:"canMakeVideo"`       // 是否可以制作视频                                                                                                                                                                                               
    IsAppearInVideo    int         `orm:"is_appear_in_video"    json:"isAppearInVideo"`    // 是否出镜                                                                                                                                                                                                       
    SkilledAt          string      `orm:"skilled_at"            json:"skilledAt"`          // 擅长领域(info_tallent_skilled_area表中的id的数组)  {0,不限。1,母婴。2，美妆护肤。3，时尚穿搭。4，旅游。5，美食。6，数码科技。7，健康养生。8，情感。9，宠物。10，运动健身。11，家居生活。12，搞笑。13，音乐  }  
    HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"homePageCaptureUrl"` // 主页截图链接                                                                                                                                                                                                   
    AccountFrom        string      `orm:"account_from"          json:"accountFrom"`        // 账号来源(仅B端批量上传的账号需要填写)                                                                                                                                                                          
    SubmitDate         *gtime.Time `orm:"submit_date"           json:"submitDate"`         // 提交时间                                                                                                                                                                                                       
    ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examineFailAdminId"` // 审核失败操作管理员id(user表中的id)                                                                                                                                                                             
    ExamineDate        *gtime.Time `orm:"examine_date"          json:"examineDate"`        // 审核日期                                                                                                                                                                                                       
    ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examineFailReason"`  // 审核失败原因                                                                                                                                                                                                   
    UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updatedAt"`          // 更新时间                                                                                                                                                                                                       
    ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examineSucAdminId"`  // 审核成功操作管理员id(user表中的id)                                                                                                                                                                             
}


// PlatformTiktokAccountInfo is the golang structure for table platform_tiktok_account_info.
type PlatformTiktokAccountInfo struct {
    TiktokId           int         `orm:"tiktok_id,primary"     json:"tiktokId"`           //                                                    
    TalentId           int         `orm:"talent_id,unique"      json:"talentId"`           // 达人账号id(talent_info表id值)                      
    PlatformId         int         `orm:"platform_id"           json:"platformId"`         // 平台id，与third_platform_info中的id相同            
    PlatformName       string      `orm:"platform_name"         json:"platformName"`       // 平台名称(冗余)                                     
    PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platformIconUrl"`    // 平台icon的url(冗余)                                
    PlatformAccountId  string      `orm:"platform_account_id"   json:"platformAccountId"`  // 在平台上的账号                                     
    PlatformNickname   string      `orm:"platform_nickname"     json:"platformNickname"`   // 在平台上的昵称                                     
    HomePageUrl        string      `orm:"home_page_url"         json:"homePageUrl"`        // 主页链接                                           
    FansCount          int64       `orm:"fans_count"            json:"fansCount"`          // 粉丝数                                             
    GotLikeCount       int64       `orm:"got_like_count"        json:"gotLikeCount"`       // 点赞数                                             
    CompositionCount   int64       `orm:"composition_count"     json:"compositionCount"`   // 作品数量                                           
    TiktokUid          string      `orm:"tiktok_uid"            json:"tiktokUid"`          // 抖音uid                                            
    IsSupportReporting int         `orm:"is_support_reporting"  json:"isSupportReporting"` // 是否支持报备                                       
    IsSupportLive      int         `orm:"is_support_live"       json:"isSupportLive"`      // 是否支持直播                                       
    IsOpenShowcase     int         `orm:"is_open_showcase"      json:"isOpenShowcase"`     // 是否开通商品橱窗                                   
    IsAppearInVideo    int         `orm:"is_appear_in_video"    json:"isAppearInVideo"`    // 是否出镜                                           
    SkilledAt          string      `orm:"skilled_at"            json:"skilledAt"`          // 擅长领域(info_tallent_skilled_area表中的id的数组)  
    HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"homePageCaptureUrl"` // 主页截图图片链接                                   
    AccountFrom        string      `orm:"account_from"          json:"accountFrom"`        // 账号来源(仅B端批量上传的账号需要填写)              
    SubmitDate         *gtime.Time `orm:"submit_date"           json:"submitDate"`         // 提交时间                                           
    ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examineFailAdminId"` // 审核失败操作管理员id(user表中的id)                 
    ExamineDate        *gtime.Time `orm:"examine_date"          json:"examineDate"`        // 审核日期                                           
    ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examineFailReason"`  // 审核失败原因                                       
    UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updatedAt"`          // 更新时间                                           
    ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examineSucAdminId"`  // 审核成功操作管理员id(user表中的id)                 
}


// PlatformWeiboAccountInfo is the golang structure for table platform_weibo_account_info.
type PlatformWeiboAccountInfo struct {
    WeiboId            int         `orm:"weibo_id,primary"      json:"weiboId"`            //                                                    
    TalentId           int         `orm:"talent_id,unique"      json:"talentId"`           // 达人账号id(talent_info表id值)                      
    PlatformId         int         `orm:"platform_id"           json:"platformId"`         // 平台id，与third_platform_info中的id相同            
    PlatformName       string      `orm:"platform_name"         json:"platformName"`       // 平台名称(冗余)                                     
    PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platformIconUrl"`    // 平台icon的url(冗余)                                
    PlatformAccountId  string      `orm:"platform_account_id"   json:"platformAccountId"`  // 在平台上的账号                                     
    PlatformNickname   string      `orm:"platform_nickname"     json:"platformNickname"`   // 在平台上的昵称                                     
    HomePageUrl        string      `orm:"home_page_url"         json:"homePageUrl"`        // 主页链接                                           
    FansCount          int64       `orm:"fans_count"            json:"fansCount"`          // 粉丝数                                             
    WeiboTotalNum      int64       `orm:"weibo_total_num"       json:"weiboTotalNum"`      // 微博总量                                           
    IsSupportReporting int         `orm:"is_support_reporting"  json:"isSupportReporting"` // 是否支持报备                                       
    IsSupportLive      int         `orm:"is_support_live"       json:"isSupportLive"`      // 是否支持直播                                       
    CanMakeVideo       int         `orm:"can_make_video"        json:"canMakeVideo"`       // 是否可以制作视频                                   
    IsAppearInVideo    int         `orm:"is_appear_in_video"    json:"isAppearInVideo"`    // 是否出镜                                           
    SkilledAt          string      `orm:"skilled_at"            json:"skilledAt"`          // 擅长领域(info_tallent_skilled_area表中的id的数组)  
    HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"homePageCaptureUrl"` // 主页截图链接                                       
    AccountFrom        string      `orm:"account_from"          json:"accountFrom"`        // 账号来源(仅B端批量上传的账号需要填写)              
    SubmitDate         *gtime.Time `orm:"submit_date"           json:"submitDate"`         // 提交时间                                           
    ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examineFailAdminId"` // 审核失败操作管理员id(user表中的id)                 
    ExamineDate        *gtime.Time `orm:"examine_date"          json:"examineDate"`        // 审核日期                                           
    ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examineFailReason"`  // 审核失败原因                                       
    UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updatedAt"`          // 更新时间                                           
    ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examineSucAdminId"`  // 审核成功操作管理员id(user表中的id)                 
}


// PlatformZhihuAccountInfo is the golang structure for table platform_zhihu_account_info.
type PlatformZhihuAccountInfo struct {
    ZhihuId            int         `orm:"zhihu_id,primary"      json:"zhihuId"`            //                                          
    TalentId           int         `orm:"talent_id,unique"      json:"talentId"`           // 达人账号id(talent_info表的id值)          
    PlatformId         int         `orm:"platform_id"           json:"platformId"`         // 平台id，与third_platform_info中的id相同  
    PlatformName       string      `orm:"platform_name"         json:"platformName"`       // 平台名称(冗余)                           
    PlatformIconUrl    string      `orm:"platform_icon_url"     json:"platformIconUrl"`    // 平台icon的url(冗余)                      
    PlatformAccountId  string      `orm:"platform_account_id"   json:"platformAccountId"`  // 在平台上的账号                           
    PlatformNickname   string      `orm:"platform_nickname"     json:"platformNickname"`   // 在平台上的昵称                           
    HomePageUrl        string      `orm:"home_page_url"         json:"homePageUrl"`        // 主页链接                                 
    FansCount          int64       `orm:"fans_count"            json:"fansCount"`          // 粉丝数                                   
    GotAgreeCount      int64       `orm:"got_agree_count"       json:"gotAgreeCount"`      // 被赞同总数                               
    GotLikeCount       int64       `orm:"got_like_count"        json:"gotLikeCount"`       // 被喜欢总数                               
    GotCollectCount    int64       `orm:"got_collect_count"     json:"gotCollectCount"`    // 被收藏总数                               
    AnswerCount        int64       `orm:"answer_count"          json:"answerCount"`        // 回答总数                                 
    CreativeLevel      int         `orm:"creative_level"        json:"creativeLevel"`      // 创作等级                                 
    TotalReadPlayCount int64       `orm:"total_read_play_count" json:"totalReadPlayCount"` // 总阅读播放量                             
    HomePageCaptureUrl string      `orm:"home_page_capture_url" json:"homePageCaptureUrl"` // 主页截图                                 
    AccountFrom        string      `orm:"account_from"          json:"accountFrom"`        // 账号来源(仅B端批量上传的账号需要填写)    
    SubmitDate         *gtime.Time `orm:"submit_date"           json:"submitDate"`         // 提交时间                                 
    ExamineFailAdminId int         `orm:"examine_fail_admin_id" json:"examineFailAdminId"` // 审核失败操作管理员id(user表中的id)       
    ExamineDate        *gtime.Time `orm:"examine_date"          json:"examineDate"`        // 审核日期                                 
    ExamineFailReason  string      `orm:"examine_fail_reason"   json:"examineFailReason"`  // 审核失败原因                             
    UpdatedAt          *gtime.Time `orm:"updated_at"            json:"updatedAt"`          // 更新时间                                 
    ExamineSucAdminId  int         `orm:"examine_suc_admin_id"  json:"examineSucAdminId"`  // 审核成功操作管理员id(user表中的id)       
}


// Product is the golang structure for table product.
type Product struct {
    ProductId            int         `orm:"product_id,primary"    json:"productId"`            //                                         
    ProductName          string      `orm:"product_name"          json:"productName"`          // 商品名称                                
    ProductType          int         `orm:"product_type"          json:"productType"`          // 商品类型 1：实物 ，2：商品，3：线下     
    ProductClassify      int         `orm:"product_classify"      json:"productClassify"`      // 商品分类id(info_product_classifyh表id)  
    ProductPrice         int64       `orm:"product_price"         json:"productPrice"`         // 商品价格                                
    ProductSpecification string      `orm:"product_specification" json:"productSpecification"` // 商品规格                                
    CreatedAt            *gtime.Time `orm:"created_at"            json:"createdAt"`            // 创建时间                                
    CreatPeople          string      `orm:"creat_people"          json:"creatPeople"`          // 创建人                                  
    UpdatedAt            *gtime.Time `orm:"updated_at"            json:"updatedAt"`            // 更新时间                                
    UpdatePeople         string      `orm:"update_people"         json:"updatePeople"`         // 更新人                                  
}


// ProductPhoto is the golang structure for table product_photo.
type ProductPhoto struct {
    ProductPhotoId int         `orm:"product_photo_id,primary" json:"productPhotoId"` // 商品链接图主键id                                    
    ProductId      int         `orm:"product_id"               json:"productId"`      // 商品表id                                            
    Symbol         int         `orm:"symbol"                   json:"symbol"`         // 图片是主图还是详情图标志位 1主图 2轮播图 3，详情图  
    PhotoUrl       string      `orm:"photo_url"                json:"photoUrl"`       // 商品图片链接                                        
    CreatedAt      *gtime.Time `orm:"created_at"               json:"createdAt"`      // 创建时间                                            
    CreatPeople    string      `orm:"creat_people"             json:"creatPeople"`    // 创建人                                              
    UpdatedAt      *gtime.Time `orm:"updated_at"               json:"updatedAt"`      // 更新时间                                            
    UpdatePeople   string      `orm:"update_people"            json:"updatePeople"`   // 更新人                                              
}


// ROrderCompeleteStageToType is the golang structure for table r_order_compelete_stage_to_type.
type ROrderCompeleteStageToType struct {
    RId                 uint `orm:"r_id,primary"          json:"rId"`                 //                                                                       
    OrderProcedureStage int  `orm:"order_procedure_stage" json:"orderProcedureStage"` // 任务流程的阶段(对应workflow_node_container表中的procedure_stage字段)  
    OrderProcedureStep  int  `orm:"order_procedure_step"  json:"orderProcedureStep"`  // 任务流程的步骤(对应workflow_node_container表中的step_in_stage字段)    
    CompleteType        int  `orm:"complete_type"         json:"completeType"`        // 任务步骤如果存在结束任务的可能，则这里是对应的结束任务的方式          
}


// RTalentPlatformTable is the golang structure for table r_talent_platform_table.
type RTalentPlatformTable struct {
    RtId           uint        `orm:"rt_id,primary"    json:"rtId"`           // 审核表的主键ID                        
    Tid            int         `orm:"tid"              json:"tid"`            // 达人id(talent_info表中的id)           
    PId            int         `orm:"p_id"             json:"pId"`            // 平台id(info_third_platform表中的id)   
    PName          string      `orm:"p_name"           json:"pName"`          // 平台名称                              
    PNickname      string      `orm:"p_nickname"       json:"pNickname"`      // 账号所在平台昵称                      
    PAccountId     string      `orm:"p_account_id"     json:"pAccountId"`     // 平台对应的ID（达人在所在平台的ID）    
    FansCount      int64       `orm:"fans_count"       json:"fansCount"`      // 达人在平台的粉丝数量                  
    HomePageUrl    string      `orm:"home_page_url"    json:"homePageUrl"`    // 达人的主页链接                        
    ExamineState   int         `orm:"examine_state"    json:"examineState"`   // 审核状态 1待审核 2审核通过 3审核驳回  
    FailReason     string      `orm:"fail_reason"      json:"failReason"`     // 审核驳回原因                          
    ExamineAdminId int         `orm:"examine_admin_id" json:"examineAdminId"` // 审核操作管理员id                      
    CreateDate     *gtime.Time `orm:"create_date"      json:"createDate"`     // 创建时间                              
    ExamineDate    *gtime.Time `orm:"examine_date"     json:"examineDate"`    // 审核时间                              
    DisableDate    *gtime.Time `orm:"disable_date"     json:"disableDate"`    // 下架时间                              
    Deleted        int         `orm:"deleted"          json:"deleted"`        // 是否逻辑删除 0否 1是                  
}


// TalentDeliveryAddress is the golang structure for table talent_delivery_address.
type TalentDeliveryAddress struct {
    AddressId    int64  `orm:"address_id,primary" json:"addressId"`    //                                             
    RegionCode   int    `orm:"region_code"        json:"regionCode"`   // 区域码，取info_region表中的self_code字段值  
    DetailAddr   string `orm:"detail_addr"        json:"detailAddr"`   // 详细地址                                    
    PhoneNumber  string `orm:"phone_number"       json:"phoneNumber"`  // 联系电话                                    
    ReceiverName string `orm:"receiver_name"      json:"receiverName"` // 收货人名字                                  
    DefaultTag   int    `orm:"default_tag"        json:"defaultTag"`   // 是否默认收货地址                            
    TalentId     int    `orm:"talent_id"          json:"talentId"`     // 达人id(talent_info表中的id)                 
}


// TalentInfo is the golang structure for table talent_info.
type TalentInfo struct {
    Id                int         `orm:"id,primary"          json:"id"`                //                                           
    TalentWxOpenid    string      `orm:"talent_wx_openid"    json:"talentWxOpenid"`    // 达人的微信openid                          
    TalentWxNickname  string      `orm:"talent_wx_nickname"  json:"talentWxNickname"`  // 达人的微信昵称                            
    TalentWxNumber    string      `orm:"talent_wx_number"    json:"talentWxNumber"`    // 达人微信号                                
    TalentGender      int         `orm:"talent_gender"       json:"talentGender"`      // 性别，0未知 1男 2女                       
    TalentPhoneNumber string      `orm:"talent_phone_number" json:"talentPhoneNumber"` // 电话号码                                  
    TalentAgeBracket  int         `orm:"talent_age_bracket"  json:"talentAgeBracket"`  // 年龄段，取tallent_age_bracket表id         
    TalentSkinType    int         `orm:"talent_skin_type"    json:"talentSkinType"`    // 肤质，取tallent_skin_type表的id           
    TalentNationality int         `orm:"talent_nationality"  json:"talentNationality"` // 国籍，取tallent_nationality表id           
    VisitStoreRegion  int         `orm:"visit_store_region"  json:"visitStoreRegion"`  // 探店区域，取region_info表中的self_code    
    ApprovalStatus    int         `orm:"approval_status"     json:"approvalStatus"`    // 审核状态 0提交未审核 1审核通过 2审核失败  
    ApprovalDate      *gtime.Time `orm:"approval_date"       json:"approvalDate"`      // 审核时间                                  
    Enabled           int         `orm:"enabled"             json:"enabled"`           // 是否上架(激活)                            
    EnabledDate       *gtime.Time `orm:"enabled_date"        json:"enabledDate"`       // 上架(激活)时间                            
    InBlacklist       uint        `orm:"in_blacklist"        json:"inBlacklist"`       // 是否加入黑名单 0否 1是                    
    CreateDate        *gtime.Time `orm:"create_date"         json:"createDate"`        // 创建时间                                  
    LastLoginDate     *gtime.Time `orm:"last_login_date"     json:"lastLoginDate"`     // 最后登录时间                              
    AliName           string      `orm:"ali_name"            json:"aliName"`           // 支付宝姓名                                
    AliAccount        string      `orm:"ali_account"         json:"aliAccount"`        // 支付宝账号                                
}


// TaskBaseInfo is the golang structure for table task_base_info.
type TaskBaseInfo struct {
    TaskId         int         `orm:"task_id,primary"  json:"taskId"`         // 任务基础信息id                                                                                                                                                                       
    TaskName       string      `orm:"task_name"        json:"taskName"`       // 任务名称                                                                                                                                                                             
    TaskPlatform   int         `orm:"task_platform"    json:"taskPlatform"`   // 任务平台id,取third_platform_info表id                                                                                                                                                 
    TaskMode       int         `orm:"task_mode"        json:"taskMode"`       // 任务模式 1置换任务 2稿费任务 3折扣任务                                                                                                                                               
    BusinessType   int         `orm:"business_type"    json:"businessType"`   // 业务类型 1实物 2虚拟 3线下                                                                                                                                                           
    ContentForm    uint        `orm:"content_form"     json:"contentForm"`    // 内容形式 低4位为图片和视频类型，0001原创图片 0010指定图片 0100原创视频 1000指定视频 5~6位为文案类型 010000为原创文案 100000为指定文案 第7位为是否直播01000000为直播00000000为非直播  
    OtherForm      int         `orm:"other_form"       json:"otherForm"`      // 其他形式 1不限 2仅单品 3仅合辑                                                                                                                                                       
    StartTime      *gtime.Time `orm:"start_time"       json:"startTime"`      // 作品发布时间                                                                                                                                                                         
    EndTime        *gtime.Time `orm:"end_time"         json:"endTime"`        // 作品结束时间                                                                                                                                                                         
    DeadlineTime   *gtime.Time `orm:"deadline_time"    json:"deadlineTime"`   // 任务报名截至日期                                                                                                                                                                     
    TaskStatus     int         `orm:"task_status"      json:"taskStatus"`     // 任务状态：1待支付（待上线）  2执行中  3已结案                                                                                                                                        
    TaskCreateFlag uint        `orm:"task_create_flag" json:"taskCreateFlag"` // 创建任务时提交状态                                                                                                                                                                   
    BrandId        int         `orm:"brand_id"         json:"brandId"`        // 品牌id                                                                                                                                                                               
    ProductId      int         `orm:"product_id"       json:"productId"`      // 任务商品id                                                                                                                                                                           
    CreatedAt      *gtime.Time `orm:"created_at"       json:"createdAt"`      // 创建时间                                                                                                                                                                             
    OnlineTime     *gtime.Time `orm:"online_time"      json:"onlineTime"`     // 上线时间                                                                                                                                                                             
    BrandName      string      `orm:"brand_name"       json:"brandName"`      // 品牌名称                                                                                                                                                                             
}


// TaskPerformHelpInfo is the golang structure for table task_perform_help_info.
type TaskPerformHelpInfo struct {
    TphId               int    `orm:"tph_id,primary"        json:"tphId"`               //                       
    TaskBaseId          int    `orm:"task_base_id,unique"   json:"taskBaseId"`          // 关联的任务基本信息id  
    BrandKeyword        string `orm:"brand_keyword"         json:"brandKeyword"`        // 品牌关键词            
    ProductMerits       string `orm:"product_merits"        json:"productMerits"`       // 产品亮点              
    AppendTopic         string `orm:"append_topic"          json:"appendTopic"`         // 添加话题              
    CaptureRequirement  string `orm:"capture_requirement"   json:"captureRequirement"`  // 拍摄要求              
    RemainDays          int    `orm:"remain_days"           json:"remainDays"`          // 保留时长(天)          
    OtherPerformRequire string `orm:"other_perform_require" json:"otherPerformRequire"` // 其他执行要求          
    CaptureReference    string `orm:"capture_reference"     json:"captureReference"`    // 拍摄参考              
    CustomServiceQrcode string `orm:"custom_service_qrcode" json:"customServiceQrcode"` // 客服二维码url         
    BriefList           string `orm:"brief_list"            json:"briefList"`           // brief图片urls         
}


// TaskProcedureArticleInfo is the golang structure for table task_procedure_article_info.
type TaskProcedureArticleInfo struct {
    TpaId            int `orm:"tpa_id,primary"     json:"tpaId"`            //                                     
    TaskBaseId       int `orm:"task_base_id"       json:"taskBaseId"`       // 任务id(对应task_base_info表id字段)  
    UploadLimitDay   int `orm:"upload_limit_day"   json:"uploadLimitDay"`   // 上传作品天数限制                    
    UploadReduceRate int `orm:"upload_reduce_rate" json:"uploadReduceRate"` // 上传作品超时扣费比率(*100)          
    ReviseLimitDay   int `orm:"revise_limit_day"   json:"reviseLimitDay"`   // 作品修改天数限制                    
    ReviseReduceRate int `orm:"revise_reduce_rate" json:"reviseReduceRate"` // 作品修改超时扣费比率(*100)          
}


// TaskProcedureBuySamplesInfo is the golang structure for table task_procedure_buy_samples_info.
type TaskProcedureBuySamplesInfo struct {
    TpbId            int    `orm:"tpb_id,primary"      json:"tpbId"`            //                                     
    TaskBaseId       int    `orm:"task_base_id,unique" json:"taskBaseId"`       // 任务id(对应task_base_info表id字段)  
    PlatformName     string `orm:"platform_name"       json:"platformName"`     // 平台对应的名称                      
    BuySamplesCost   int64  `orm:"buy_samples_cost"    json:"buySamplesCost"`   // 拍单费用                            
    BuySamplesRefund int64  `orm:"buy_samples_refund"  json:"buySamplesRefund"` // 拍单退费                            
    BuySamplesUrl    string `orm:"buy_samples_url"     json:"buySamplesUrl"`    // 拍单链接                            
    SyncLogistics    int    `orm:"sync_logistics"      json:"syncLogistics"`    // 是否同步物流信息 0不同步 1同步      
}


// TaskProcedureDecisionCondition is the golang structure for table task_procedure_decision_condition.
type TaskProcedureDecisionCondition struct {
    TpdId              int   `orm:"tpd_id,primary"       json:"tpdId"`              //                                                                             
    TaskBaseId         int   `orm:"task_base_id"         json:"taskBaseId"`         // 任务id(对应task_base_info表id字段)                                          
    BuySamplesType     int   `orm:"buy_samples_type"     json:"buySamplesType"`     // 拍单方式 1样叽拍单 2，不拍单                                                
    BuySamplesStage    int   `orm:"buy_samples_stage"    json:"buySamplesStage"`    // 拍单对应的工作流步骤stage(workflow_node_template表procedure_stage字段)      
    ExamineDraft       int   `orm:"examine_draft"        json:"examineDraft"`       // 是否需要审核初稿 0不审核 1审核                                              
    ExamineDraftStage  int   `orm:"examine_draft_stage"  json:"examineDraftStage"`  // 审核初稿对应的工作流步骤stage(workflow_node_template表procedure_stage字段)  
    ReviewArticle      int   `orm:"review_article"       json:"reviewArticle"`      // 是否需要审核作品 0不审核 1审核                                              
    ReviewArticleStage int   `orm:"review_article_stage" json:"reviewArticleStage"` // 审核作品对应的工作流步骤stage(workflow_node_template表procedure_stage字段)  
    IsTestQulity       int   `orm:"is_test_qulity"       json:"isTestQulity"`       // 是否质检目前不可选，值固定为1                                               
    QuilityTestStage   int   `orm:"quility_test_stage"   json:"quilityTestStage"`   // 质检对应的工作流步骤stage(workflow_node_template表procedure_stage字段)      
    IsTestData         int   `orm:"is_test_data"         json:"isTestData"`         // 是否进行数据检测，目前不可选，值固定为1                                     
    DataTestStage      int   `orm:"data_test_stage"      json:"dataTestStage"`      // 数据质检对应的工作流步骤stage(workflow_node_template表procedure_stage字段)  
    ReturnSamples      int   `orm:"return_samples"       json:"returnSamples"`      // 是否返还样品 0不返还 1返还                                                  
    ReturnSamplesStage int   `orm:"return_samples_stage" json:"returnSamplesStage"` // 返还样品对应的工作流步骤stage(workflow_node_template表procedure_stage字段)  
    IsAddTaskFinish    int   `orm:"is_add_task_finish"   json:"isAddTaskFinish"`    // 是否添加任务完成步骤，目前固定为1                                           
    TaskFisnishStage   int   `orm:"task_fisnish_stage"   json:"taskFisnishStage"`   // 任务完成对应的工作流步骤stage(workflow_node_template表procedure_stage字段)  
    BuySamplesCost     int64 `orm:"buy_samples_cost"     json:"buySamplesCost"`     // 拍单费用                                                                    
    SyncLogistics      int   `orm:"sync_logistics"       json:"syncLogistics"`      // 是否同步物流信息 1不同步 2同步                                              
    BuySamplesRefund   int64 `orm:"buy_samples_refund"   json:"buySamplesRefund"`   // 拍单退费                                                                    
}


// TaskProcedureDraftInfo is the golang structure for table task_procedure_draft_info.
type TaskProcedureDraftInfo struct {
    TaskPdId         int `orm:"task_pd_id,primary" json:"taskPdId"`         //                                     
    TaskBaseId       int `orm:"task_base_id"       json:"taskBaseId"`       // 任务id(对应task_base_info表id字段)  
    UploadLimitDay   int `orm:"upload_limit_day"   json:"uploadLimitDay"`   // 上传初稿天数限制                    
    UploadReduceRate int `orm:"upload_reduce_rate" json:"uploadReduceRate"` // 上传初稿超时扣费比率(*100)          
    ReviseLimitDay   int `orm:"revise_limit_day"   json:"reviseLimitDay"`   // 修改初稿期限天数限制                
    ReviseReduceRate int `orm:"revise_reduce_rate" json:"reviseReduceRate"` // 初稿超时扣费比率(*100)              
}


// TaskProcedureQualityDataTestInfo is the golang structure for table task_procedure_quality_data_test_info.
type TaskProcedureQualityDataTestInfo struct {
    TpqId                   int    `orm:"tpq_id,primary"             json:"tpqId"`                   //                                     
    TaskBaseId              int    `orm:"task_base_id"               json:"taskBaseId"`              // 任务id(对应task_base_info表id字段)  
    QualityTestUrl          string `orm:"quality_test_url"           json:"qualityTestUrl"`          // 质检链接                            
    QualityTestLimitDay     int    `orm:"quality_test_limit_day"     json:"qualityTestLimitDay"`     // 上传质检连接天数限制                
    QualityTestReduceRate   int    `orm:"quality_test_reduce_rate"   json:"qualityTestReduceRate"`   // 上传质检连接超时扣费比率(*100)      
    QualityReviseLimitDay   int    `orm:"quality_revise_limit_day"   json:"qualityReviseLimitDay"`   // 修改质检连接天数限制                
    QualityReviseReduseRate int    `orm:"quality_revise_reduse_rate" json:"qualityReviseReduseRate"` // 修改质检连接超时扣费比率(*100)      
    DataTestUrl             string `orm:"data_test_url"              json:"dataTestUrl"`             // 数据检测连接                        
    DataTestLimitDay        int    `orm:"data_test_limit_day"        json:"dataTestLimitDay"`        // 上传数据检测连接天数限制            
    DataTestReduceRate      int    `orm:"data_test_reduce_rate"      json:"dataTestReduceRate"`      // 上传数据检测连接超时扣费比率(*100)  
    DataReviceLimitDay      int    `orm:"data_revice_limit_day"      json:"dataReviceLimitDay"`      // 修改数据检测链接天数限制            
    DataReviceReduceRate    int    `orm:"data_revice_reduce_rate"    json:"dataReviceReduceRate"`    // 修改数据检测链接超时扣费比率(*100)  
}


// TaskRecruitRequirements is the golang structure for table task_recruit_requirements.
type TaskRecruitRequirements struct {
    TrrId            int    `orm:"trr_id,primary"      json:"trrId"`            //                                                                                                                                                                                                                  
    TaskBaseId       int    `orm:"task_base_id,unique" json:"taskBaseId"`       // 关联的task_base_info中的id                                                                                                                                                                                       
    TalentSkillsOn   string `orm:"talent_skills_on"    json:"talentSkillsOn"`   // 达人擅长领域要求,info_tallent_skilled_area表中的id列表，以逗号分隔    ['不限', '母婴', '美妆护肤', '时尚穿搭', '旅游', '美食', '数码科技', '健康养生', '情感', '宠物', '运动健身', '家居生活', '搞笑', '音乐'],  
    InteractType     string `orm:"interact_type"       json:"interactType"`     // 指定互动形式的内容                                                                                                                                                                                               
    RegionCode       int    `orm:"region_code"         json:"regionCode"`       // 地域码,info_region表中的self_code值                                                                                                                                                                              
    Gender           int    `orm:"gender"              json:"gender"`           // 限制可接任务的性别,0女 1男 2不限制                                                                                                                                                                               
    OtherRequirement string `orm:"other_requirement"   json:"otherRequirement"` // 其他要求                                                                                                                                                                                                         
}


// TaskRecruitTalentLevel is the golang structure for table task_recruit_talent_level.
type TaskRecruitTalentLevel struct {
    TrtId           int   `orm:"trt_id,primary"    json:"trtId"`           //                           
    TaskBaseId      int   `orm:"task_base_id"      json:"taskBaseId"`      // 关联的task_base_info的id  
    FansCountMin    int   `orm:"fans_count_min"    json:"fansCountMin"`    // 最小粉丝数                
    FansCountMax    int   `orm:"fans_count_max"    json:"fansCountMax"`    // 最大粉丝数                
    NeedTalentCount int   `orm:"need_talent_count" json:"needTalentCount"` // 任务需要的达人数量        
    RewardRoyalties int64 `orm:"reward_royalties"  json:"rewardRoyalties"` // 稿费金额                  
}


// TaskReward is the golang structure for table task_reward.
type TaskReward struct {
    RewardId         int    `orm:"reward_id,primary"   json:"rewardId"`         //                           
    IsRewardGoods    int    `orm:"is_reward_goods"     json:"isRewardGoods"`    // 是否奖励实物              
    RewardGoodsInfo  string `orm:"reward_goods_info"   json:"rewardGoodsInfo"`  // 实物奖励信息              
    IsPaymentArticle int    `orm:"is_payment_article"  json:"isPaymentArticle"` // 是否获得稿费              
    PaymentValue     string `orm:"payment_value"       json:"paymentValue"`     // 稿费金额描述              
    OtherRewardInfo  string `orm:"other_reward_info"   json:"otherRewardInfo"`  // 其他奖励信息              
    TaskBaseId       int    `orm:"task_base_id,unique" json:"taskBaseId"`       // 关联的task_base_info的id  
}


// User is the golang structure for table user.
type User struct {
    Id            int         `orm:"id,primary"      json:"id"`            // 用户表id                                 
    User          string      `orm:"user"            json:"user"`          // 用户名id                                 
    Username      string      `orm:"username"        json:"username"`      // 后台用户名                               
    Password      string      `orm:"password"        json:"password"`      // 用户密码                                 
    RealName      string      `orm:"real_name"       json:"realName"`      // 真实姓名                                 
    Role          string      `orm:"role"            json:"role"`          // 角色 1，超级管理员； 2，管理员；3，员工  
    Phone         string      `orm:"phone"           json:"phone"`         // 绑定手机                                 
    Email         string      `orm:"email"           json:"email"`         // 电子邮件                                 
    LastLoginTime *gtime.Time `orm:"last_login_time" json:"lastLoginTime"` // 最后一次登录时间                         
    UserState     string      `orm:"user_state"      json:"userState"`     // 0，禁用，1，正常                         
    CreatedAt     *gtime.Time `orm:"created_at"      json:"createdAt"`     // 创建时间                                 
    UpdatedAt     *gtime.Time `orm:"updated_at"      json:"updatedAt"`     // 更新时间                                 
}


// WorkflowNodeContainer is the golang structure for table workflow_node_container.
type WorkflowNodeContainer struct {
    ContainerId         uint64      `orm:"container_id,primary"   json:"containerId"`         //                                                                                   
    NodeNameFirst       string      `orm:"node_name_first"        json:"nodeNameFirst"`       // 首次执行时的节点名，前端显示                                                      
    NodeNameAfterSecond string      `orm:"node_name_after_second" json:"nodeNameAfterSecond"` // 第二次之后执行时的节点名                                                          
    ProcedureStage      int         `orm:"procedure_stage"        json:"procedureStage"`      // 订单处理流程阶段，如：拍单阶段、初稿阶段                                          
    StepInStage         uint        `orm:"step_in_stage"          json:"stepInStage"`         // 在阶段中的步骤，如提交初稿是初稿阶段的第一步                                      
    CurExecutionTimes   int         `orm:"cur_execution_times"    json:"curExecutionTimes"`   // 当前执行次数                                                                      
    MaxExecutionTimes   int         `orm:"max_execution_times"    json:"maxExecutionTimes"`   // 最大执行次数                                                                      
    Tip                 string      `orm:"tip"                    json:"tip"`                 // 此步骤在达人端的提示                                                              
    SucNextStep         uint        `orm:"suc_next_step"          json:"sucNextStep"`         // 成功后在此阶段的后续步骤 0不处理 255进行后续阶段 其余数值为本阶段step_in_stage值  
    FailNextStep        uint        `orm:"fail_next_step"         json:"failNextStep"`        // 失败的后续步骤，数值同上                                                          
    State               int         `orm:"state"                  json:"state"`               // 状态 1未开启 2进行中 3失败 4完成                                                  
    FailReason          string      `orm:"fail_reason"            json:"failReason"`          // 失败原因                                                                          
    StartDate           *gtime.Time `orm:"start_date"             json:"startDate"`           // 开始日期                                                                          
    CompleteDate        *gtime.Time `orm:"complete_date"          json:"completeDate"`        // 完成日期                                                                          
    CompleteUserName    string      `orm:"complete_user_name"     json:"completeUserName"`    // 完成人名                                                                          
    LimitDays1          int         `orm:"limit_days_1"           json:"limitDays1"`          // 限制天数                                                                          
    ReduceFeeRatio1     int         `orm:"reduce_fee_ratio_1"     json:"reduceFeeRatio1"`     // 超期扣费比率                                                                      
    LimitDays2          int         `orm:"limit_days_2"           json:"limitDays2"`          // 第二次执行限制天数(修改操作限时）                                                 
    ReduceFeeRatio2     int         `orm:"reduce_fee_ratio_2"     json:"reduceFeeRatio2"`     // 第二次执行超期扣费率                                                              
    OperateRoleRestrict int         `orm:"operate_role_restrict"  json:"operateRoleRestrict"` // 操作角色限制 1后端 2达人                                                          
    SortId              int         `orm:"sort_id"                json:"sortId"`              // 在一个任务流程中的排序值                                                          
    OrderId             int         `orm:"order_id"               json:"orderId"`             // 关联的订单和任务id                                                                
}


// WorkflowNodeTemplate is the golang structure for table workflow_node_template.
type WorkflowNodeTemplate struct {
    TemplateId          uint        `orm:"template_id,primary"    json:"templateId"`          //                                                                                   
    NodeNameFirst       string      `orm:"node_name_first"        json:"nodeNameFirst"`       // 首次执行时的节点名，前端显示                                                      
    NodeNameAfterSecond string      `orm:"node_name_after_second" json:"nodeNameAfterSecond"` // 第二次之后执行时的节点名                                                          
    ProcedureStage      int         `orm:"procedure_stage"        json:"procedureStage"`      // 订单处理流程阶段，如：拍单阶段、初稿阶段                                          
    StepInStage         uint        `orm:"step_in_stage"          json:"stepInStage"`         // 在阶段中的步骤，如提交初稿是初稿阶段的第一步                                      
    CurExecutionTimes   int         `orm:"cur_execution_times"    json:"curExecutionTimes"`   // 当前执行次数                                                                      
    MaxExecutionTimes   int         `orm:"max_execution_times"    json:"maxExecutionTimes"`   // 最大执行次数                                                                      
    Tip                 string      `orm:"tip"                    json:"tip"`                 // 此步骤在达人端的提示                                                              
    SucNextStep         uint        `orm:"suc_next_step"          json:"sucNextStep"`         // 成功后在此阶段的后续步骤 0不处理 255进行后续阶段 其余数值为本阶段step_in_stage值  
    FailNextStep        uint        `orm:"fail_next_step"         json:"failNextStep"`        // 失败的后续步骤，数值同上                                                          
    State               int         `orm:"state"                  json:"state"`               // 状态 1未开启 2进行中 3成功 4失败                                                  
    FailReason          string      `orm:"fail_reason"            json:"failReason"`          // 失败原因                                                                          
    StartDate           *gtime.Time `orm:"start_date"             json:"startDate"`           // 开启日期                                                                          
    CompleteDate        *gtime.Time `orm:"complete_date"          json:"completeDate"`        // 完成日期                                                                          
    CompleteUserName    string      `orm:"complete_user_name"     json:"completeUserName"`    // 完成人名                                                                          
    LimitDays1          int         `orm:"limit_days_1"           json:"limitDays1"`          // 此状态限制天数 0不限制                                                            
    ReduceFeeRatio1     int         `orm:"reduce_fee_ratio_1"     json:"reduceFeeRatio1"`     // 超期扣费比率                                                                      
    LimitDays2          int         `orm:"limit_days_2"           json:"limitDays2"`          // 第二次执行限制天数(修改操作限时）                                                 
    ReduceFeeRatio2     int         `orm:"reduce_fee_ratio_2"     json:"reduceFeeRatio2"`     // 第二次执行超期扣费率                                                              
    OperateRoleRestrict int         `orm:"operate_role_restrict"  json:"operateRoleRestrict"` // 操作角色限制 1后端 2达人                                                          
    SortId              int         `orm:"sort_id"                json:"sortId"`              //                                                                                   
}


// WxPayOrder is the golang structure for table wx_pay_order.
type WxPayOrder struct {
    OrderId                   uint64      `orm:"order_id,primary"             json:"orderId"`                   //                   
    OutTradeNo                string      `orm:"out_trade_no,unique"          json:"outTradeNo"`                // 本平台的订单号    
    WxOrderNo                 string      `orm:"wx_order_no"                  json:"wxOrderNo"`                 // 微信产生的订单号  
    PayAmount                 int64       `orm:"pay_amount"                   json:"payAmount"`                 // 支付金额          
    TaskName                  string      `orm:"task_name"                    json:"taskName"`                  // 任务名称          
    PayReason                 int         `orm:"pay_reason"                   json:"payReason"`                 // 支付用途 1拍单    
    TalentId                  int         `orm:"talent_id"                    json:"talentId"`                  // 达人id            
    TalentWxNickname          string      `orm:"talent_wx_nickname"           json:"talentWxNickname"`          // 达人微信昵称      
    TalentPlatformAccountName string      `orm:"talent_platform_account_name" json:"talentPlatformAccountName"` // 达人平台账号昵称  
    TaskId                    int         `orm:"task_id"                      json:"taskId"`                    // 任务id            
    TaskPlatform              int         `orm:"task_platform"                json:"taskPlatform"`              // 任务的社媒平台id  
    Success                   int         `orm:"success"                      json:"success"`                   // 是否成功          
    CreateAt                  *gtime.Time `orm:"create_at"                    json:"createAt"`                  // 订单生成时间      
    Desc                      string      `orm:"desc"                         json:"desc"`                      // 描述              
}