package talent_model

type PlatformBilibili struct {
	TalentId           int    `orm:"talent_id,unique"       json:"talentId"`                                                                            // 达人账号id(talent_info表id值)
	PlatformId         int    `orm:"platform_id"            json:"platformId" v:"required|integer|between:1,7#必须输入平台id|平台id类型为int|平台id取值范围为 :min到:max"` // 平台id，与third_platform_info中的id相同
	PlatformName       string `orm:"platform_name"          json:"platformName"`                                                                         // 平台名称(冗余)
	PlatformIconUrl    string `orm:"platform_icon_url"      json:"platformIconUrl"`                                                                      // 平台icon的url(冗余)
	PlatformAccountId  string `orm:"platform_account_id"    json:"platformAccountId"`                                                                   // 在平台上的账号
	PlatformNickname   string `orm:"platform_nickname"      json:"platformNickname" v:"required|length:1,30#必须输入平台昵称|platformNickname长度非法"`             // 在平台上的昵称
	HomePageUrl        string `orm:"home_page_url"          json:"homePageUrl" v:"required|url#必须输入主页链接|主页链接为url"`                                      // 主页链接
	FansCount          int64  `orm:"fans_count"             json:"fansCount" v:"required|integer|min:0#必须输入粉丝数|粉丝数为整数类型|粉丝数必须为正整数"`                                     // 粉丝数
	GotLikeCount       int64  `orm:"got_like_count"         json:"gotLikeCount" v:"required|integer|min:0#必须输入点赞数|点赞数类型为整数类型|点赞数必须为正整数"`
	SkilledAt          string `orm:"skilled_at"`
	SkilledAt1         int    `json:"skilledAt1" v:"integer|between:1,13#领域类型为整数|领域取值范围为 :min, :max"`
	SkilledAt2         int    `json:"skilledAt2" v:"integer|between:2,13#领域类型为整数|领域取值范围为 :min, :max"`                                    //
	SkilledAt3         int    `json:"skilledAt3" v:"integer|between:3,13#领域类型为整数|领域取值范围为 :min, :max"`                                    // 擅长领域(info_tallent_skilled_area表中的id的数组)
	IsAppearInVideo    int    `orm:"is_appear_in_video"     json:"isAppearInVideo" v:"integer|between:0,1#是否出镜为整数类型|是否出镜取值范围 :min到:max"` // 是否出镜
	HomePageCaptureUrl string `orm:"home_page_capture_url"  json:"homePageCaptureUrl" v:"required|url#必须输入主页截图链接|主页截图链接为url"`                              // 主页截图链接
	AccountFrom        string `orm:"account_from"           json:"accountFrom"`                                                                            // 账号来源(仅B端批量上传的账号需要填写)
}