package talent_model

type PlatformZhihu struct {
	TalentId           int    `orm:"talent_id,unique"             json:"talentId" `                                                                                                // 达人账号id(talent_info表的id值)
	PlatformId         int    `orm:"platform_id"                  json:"platformId" v:"required|integer|between:1,7#必须输入平台id|平台id类型为int|平台id取值范围为 :min到:max"`          // 平台id，与third_platform_info中的id相同
	PlatformName       string `orm:"platform_name"                json:"platformName"`                                                                                            // 平台名称(冗余)
	PlatformIconUrl    string `orm:"platform_icon_url"            json:"platformIconUrl"`                                                                                         // 平台icon的url(冗余)
	PlatformAccountId  string `orm:"platform_account_id"          json:"platformAccountId"`                                                                                       // 在平台上的账号
	PlatformNickname   string `orm:"platform_nickname"            json:"platformNickname" v:"required|length:1,30#必须输入平台昵称|platformNickname长度非法"`                          // 在平台上的昵称
	HomePageUrl        string `orm:"home_page_url"                json:"homePageUrl" v:"required|url#必须输入主页链接|主页链接为url"`                                                   // 主页链接
	FansCount          int64  `orm:"fans_count"                   json:"fansCount" v:"required|integer|min:0#必须输入粉丝数|粉丝数为整数类型|粉丝数必须为正整数"`                           // 粉丝数
	GotAgreeCount      int64  `orm:"got_agree_count"              json:"gotAgreeCount" v:"integer|min:0#被赞同总数为整数类型|被赞同总数必须为正整数"`             // 被赞同总数
	GotLikeCount       int64  `orm:"got_like_count"               json:"gotLikeCount" v:"integer|min:0#被喜欢总数为整数类型|被喜欢总数必须为正整数"`              // 被喜欢总数
	GotCollectCount    int64  `orm:"got_collect_count"            json:"gotCollectCount" v:"integer|min:0#被收藏总数为整数类型|被收藏总数必须为正整数"`           // 被收藏总数
	AnswerCount        int64  `orm:"answer_count"                 json:"answerCount" v:"integer|min:0#回答数为整数类型|回答数必须为正整数"`                         // 回答总数
	CreativeLevel      int    `orm:"creative_level"               json:"creativeLevel" v:"integer|between:1,10#创作等级为整数类型|创作等级范围在 :min到:max之间"`  // 创作等级
	TotalReadPlayCount int64  `orm:"total_read_play_count"        json:"totalReadPlayCount" v:"integer|min:0#总阅读播放量为整数类型|总阅读播放量必须为正整数"`                              // 总阅读播放量
	HomePageCaptureUrl string `orm:"home_page_capture_url"        json:"homePageCaptureUrl" v:"required|url#必须输入主页截图链接|主页截图链接为url"`                                      // 主页截图
	AccountFrom        string `orm:"account_from"                 json:"accountFrom"`                                                                            // 账号来源(仅B端批量上传的账号需要填写)
}